Puppy 4.3.1

This page documents the files available at ibiblio.org (and its mirrors) and puppylinux.com.

Internally, Puppy uses 3-digit version numbering, and this is version '431'. In official announcements we stick in dots, but they are cosmetic only.

The announcement and release notes are here:


Please go to the main download page to find the best mirror:


Files that you can download...

This is the main guy. Puppy version 4.3.1 live-CD, with kernel, heaps of drivers and applications.
Service-Pack. If you already have 4.3 installed, there is a PET package that has most of the 4.3.1 upgrade.
SFS files are "application combo packs". This one provides everything you need to turn Puppy into a complete C/C++/Vala/Genie compiling environment.
Build your own custom puppy live-CD from binary packages. This requires some expertise with the Linux commandline and a hard drive partition with a Linux filesystem. Broadband Internet access recommended. Please read http://puppylinux.com/woof/

Special puppies

These are all version 4.3.1, but with some variation. Please monitor the forum and you will find many more, created by Puppy enthusiasts.

A word of advice
if you try more than one .iso file, be sure to delete all traces of the previous one before testing the next. When you shutdown the first time and save the session to hard drive (to what we call the "pupsave" file), one or two files off the CD are also copied to the hard drive: pup-431.sfs (and maybe zp431305.sfs). The easiest way to cleanup is to boot the next live-CD with the boot parameter "puppy pfix=ram" (which starts up with Puppy running totally in RAM) and after bootup take a look on the hard drive and delete those previous files.

However, if you shutdown without saving a session, then the above problem will not occur. Thus, for quick evaluation of these live-CDs, run each one without saving the session, so nothing gets left behind on the hard drive.

This is in all respects the same as 'pup-431.iso' except that it has less drivers. In particular, less modem drivers. It will still satisfy 95% of users though, and is a good choice for situations where Puppy is required to run totally in RAM -- such as the multisession-CD/DVD mode and diskless workstations.
This is in all respects the same as 'pup-431.iso' except that it has more drivers. The SCSI drivers enable Puppy to recognise and even boot from SCSI drives. The Intel modem drivers are for the 536/537 analog dialup modems.
This is very similar to 'pup-431.iso', except has an older kernel. The kernel is the same as used in Puppy 4.1x and 4.2x. You might find this one works better on some old hardware. This build also has the Intel 536/537 modem drivers (but less than above build).
This is built with an even older kernel. The kernel goes back to Puppy 3.x. This kernel does not have the libata drivers so recognises IDE drives as /dev/hd*. This build will recognise and boot from SCSI drives and has the Intel 536/537 modem drivers.
The and kernels use Squashfs version 3.x, whereas the latest kernel uses Squashfs 4.0. The SFS files are not compatible, so I have to provide this "devx" file especially for the older kernels.

Delta files

Once you have got a running Puppy, future upgrades are much easier, as Puppy 4.3 has the Xdelta file difference manager. This is a GUI tool that enables us to create a single file that has the differences between two versions of Puppy. Thus to upgrade from Puppy 4.3 to 4.3.1 you will only need to download one small "difference file".

So, if you already have downloaded one of the ISO files for Puppy 4.3, and you have Puppy 4.3 running, you can take advantage of this new feature.

Go to folder 'delta-files' and download the appropriate file. The "Xdelta difference file manager" is in the "Utility" menu and usage should be self-explanatory.

Old kernels

The kernel has been a workhorse used in Puppy for over a year, from version 4.1 up to 4.2x. We do find sometimes that a particular older kernel works for certain older hardware, that might not be supported properly in a later kernel. Generally the kernel works well with old hardware, but there might be some exceptions.

As the kernel has been in use for so long, there have been a lot of upgraded drivers compiled for it. This forum thread is one place to find them:


...note that I have incorporated many of those drivers into the 4.3 build with kernel, but in the second half to final third of the thread probably not.

You will find other updated and new drivers posted on the forum. For example 'Patriot' posted upgraded ALSA (sound) drivers here:


Puppy 4.1x was has a "retro" build with the kernel. An even older kernel, but once again there might be some quirky old hardware out there that works best with this kernel. So, I have also built Puppy 4.3.1 with this kernel.

Actually, the kernel goes back aways. It was used in the Puppy 3.x series, two years ago. You may also find some upgraded drivers for it on the forum.

Note that you can find the patched sources and also source SFS files for all the kernels at:


Please note that these older builds are provided on an as-is basis, and I am unlikely to put in much effort to finding any bugs in them -- if the bug does not exist in Puppy built with the latest kernel. However, there are enthusiasts of the older kernels on the forum who may be interested in providing ongoing support.

Barry Kauler
October 2009